> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topmediai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# V1 Generate Custom Singer

> Multiple file urls were uploaded for model training, and the audio duration was required to be 5-45min



## OpenAPI

````yaml https://api.topmediai.com/topmediai_api.json post /v1/cover/generate-custom-singer
openapi: 3.1.0
info:
  title: Topmediai API Documentation
  description: >-
    This is the documentation for the Topmediai API. You can use this API to use
    our service programmatically, this is done by using your x-api-key. You can
    get your x-api-key by request our Get API Key Web page on
    https://www.topmediai.com/api/text-to-speech-api/. Our API is experimental
    so all endpoints are subject to change.
  version: 1.0.0
servers:
  - url: https://api.topmediai.com
security: []
paths:
  /v1/cover/generate-custom-singer:
    post:
      tags:
        - AI-Song-Cover
      summary: V1 Generate Custom Singer
      description: >-
        Multiple file urls were uploaded for model training, and the audio
        duration was required to be 5-45min
      operationId: generate_custom_singer_v1_cover_generate_custom_singer_post
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            type: string
            title: X-Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TrainSchemas'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TrainSchemas:
      properties:
        urls:
          items: {}
          type: array
          title: Urls
          description: Dataset audio link
      type: object
      required:
        - urls
      title: TrainSchemas
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````